aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorKevin Rocard <kevinx.rocard@intel.com>2013-06-17 17:34:47 +0200
committerDavid Wagner <david.wagner@intel.com>2014-02-12 17:04:03 +0100
commitd0d96a26ddbb9c79a5c795236f5a48cb390664a1 (patch)
tree2f3468c56ac4aa16681d9b8957b937bf06dcfa30 /tools
parente69c3936b743ec2d4df9c1ce44eb269fc6b980a0 (diff)
downloadexternal_parameter-framework-d0d96a26ddbb9c79a5c795236f5a48cb390664a1.zip
external_parameter-framework-d0d96a26ddbb9c79a5c795236f5a48cb390664a1.tar.gz
external_parameter-framework-d0d96a26ddbb9c79a5c795236f5a48cb390664a1.tar.bz2
[xml generation] Update import command
BZ: 116653 The command getDomainsXML was renamed to getDomainsWithSettingsXML. Use getDomainsWithSettingsXML instead of getDomainsXML as the default import command. Fallback on deprecated command getDomainsXML if the new command getDomainsWithSettingsXML does not exist. Change-Id: Ie16d7d5a27d998248cfefc628d3b99f83e64076a Signed-off-by: Kevin Rocard <kevinx.rocard@intel.com> Reviewed-on: http://android.intel.com:8080/113883 Reviewed-by: cactus <cactus@intel.com> Reviewed-by: Denneulin, Guillaume <guillaume.denneulin@intel.com> Reviewed-by: De Chivre, Renaud <renaud.de.chivre@intel.com> Tested-by: Dixon, CharlesX <charlesx.dixon@intel.com> Reviewed-by: buildbot <buildbot@intel.com> Tested-by: buildbot <buildbot@intel.com>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/xmlGenerator/lightRoutingUpdate.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/tools/xmlGenerator/lightRoutingUpdate.sh b/tools/xmlGenerator/lightRoutingUpdate.sh
index dd16362..e81fd3c 100755
--- a/tools/xmlGenerator/lightRoutingUpdate.sh
+++ b/tools/xmlGenerator/lightRoutingUpdate.sh
@@ -144,7 +144,15 @@ then
fi
log "Output file: $outputFilePath"
-$parameter getDomainsXML |sed 's/\r//' > "$outputFilePath"
+
+parameter_execute_if_exist () {
+ $parameter help | grep --quiet --word $1 || return $?
+ $parameter $1 | sed 's/\r//'
+}
+
+parameter_execute_if_exist getDomainsWithSettingsXML > "$outputFilePath" ||
+ # Fall back on old command
+ parameter_execute_if_exist getDomainsXML > "$outputFilePath"
log "The media server PFW domains have been change, please restart it to restore old domains"